Skip to navigation

Clear payload

Removes the entire payload for specified points.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to clear payload from

Query parameters

waitbooleanOptional
If true, wait for changes to actually happen
orderingenumOptional
define ordering guarantees for the operation
Allowed values:

Request

clear payload on points
PointIdsListobjectRequired
OR
FilterSelectorobjectRequired

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultobjectOptional

Errors

4XX
Client Request Error